import numpy as np
from sklearn.linear_model import LogisticRegression
from sklearn.model_selection import KFold


D = np.loadtxt( "datos.txt" )
print( D.shape )

X = D[:,0:2]
y = D[:,2]

# Separamos los datos en datos de entrenamiento
# y datos de prueba
#
_5dobleces = KFold(n_splits=5, random_state=None, shuffle=False)

v_entrena = np.zeros( (5,) )
v_prueba = np.zeros( (5,) )

i = 0
for train_index, test_index in _5dobleces.split(X):
	X_entrena, X_prueba = X[train_index], X[test_index]
	y_entrena, y_prueba = y[train_index], y[test_index]


	clasificador = LogisticRegression( )
	clasificador.fit( X_entrena, y_entrena )

	exac_entrena = clasificador.score( X_entrena, y_entrena )
	v_entrena[i] = exac_entrena
	print( i, exac_entrena )

	exac_prueba = clasificador.score( X_prueba, y_prueba )
	v_prueba[i] = exac_prueba
	print( i, exac_prueba )

	i += 1

m = np.mean( v_entrena )
s = np.std( v_entrena )
print( "Entrena:", m, s )

m = np.mean( v_prueba )
s = np.std( v_prueba )
print( "Prueba:", m, s )

# print( clasificador.classes_ )
# print( clasificador.coef_ )
# print( clasificador.intercept_ )
