# Cálculo de las estadísticas del modelo usando
# bootstrap
# Vamos a reconstruir la distribución de probalidades
# de la exactitud del modelo

import numpy as np
from sklearn.model_selection import train_test_split
from sklearn.linear_model import LogisticRegression


D = np.loadtxt( "datos.txt" )
print( D.shape )

X = D[:,0:2]
y = D[:,2]

n,m = X.shape
X_boot = np.zeros( (n,m ) )
n, = y.shape
y_boot = np.zeros( (n, ) )

m = n

n = 2000
i = 0
while i < n :

	v_indices = np.random.randint( 0, high=m-1, size=m )
	X_boot = X[ v_indices ]
	y_boot = y[ v_indices ]

	# Separamos los datos en datos de entrenamiento y datos de prueba
	X_entrena, X_prueba, y_entrena, y_prueba = train_test_split( X_boot, y_boot, random_state=2 )

	clasificador = LogisticRegression( )
	clasificador.fit( X_entrena, y_entrena )

	exac_entrena = clasificador.score( X_entrena, y_entrena )
	# print( exac_entrena )

	exac_prueba = clasificador.score( X_prueba, y_prueba )
	# print( exac_prueba )
	
	print( i, exac_entrena, exac_prueba )

	i += 1
